Subject: bug#31975: Emacs NS port `M-x customize` Mouse Autoselect Window (point-to-focus) has no effect

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jun 2018 18:54:51 +0300

> From: Van L <[email-masked]>
> Date: Wed, 27 Jun 2018 01:26:45 +1000
> Cc: [email-masked]
> 
> > this is outside of Emacs, right?
> 
> There is the chance of the following call to work, no?
> 
>   `defaults write org.gnu.Emacs FocusFollowsMouse -bool true`
> 
> If not, why not one day in the far off distant future.

Sorry, I cannot parse that.  Too dense today, I guess.

> From what I can tell "M-x report-emacs-bug” needs 
> email set in Emacs and a look at Gnus involves putting 
> cleartext password on a one line setting

No, it doesn't.  One of the options offered when you are about to send
is to use your system's mailclient.

> >> #+NAME: `M-x customize` Mouse Autoselect Window
> >> #+BEGIN_EXAMPLE
> >>   Non-nil means autoselect window with mouse pointer. Hide
> >>   If nil, do not autoselect windows.
> >>   A positive number means delay autoselection by that many seconds: a
> >>   window is autoselected only after the mouse has remained in that
> >>   window for the duration of the delay.
> >>   A negative number has a similar effect, but causes windows to be
> >>   autoselected only after the mouse has stopped moving.  (Because of
> >>   the way Emacs compares mouse events, you will occasionally wait twice
> >>   that time before the window gets selected.)
> >>   Any other value means to autoselect window instantaneously when the
> >>   mouse pointer enters it.
> >> 
> >>   Autoselection selects the minibuffer only if it is active, and never
> >>   unselects the minibuffer if it is active.
> >> 
> >>   When customizing this variable make sure that the actual value of
> >>   ‘focus-follows-mouse’ matches the behavior of your window manager.
> >> 
> >> #+END_EXAMPLE
> > 
> > And how is this part relevant?
> 
> It is the setting that takes no effect 
> the perceived bug that does not work as 
> expected and desired, which is the cause
> for this bug#31975 report.

But the above has no relation to focus-follows-mouse.
mouse-autoselect-window works when the Emacs frame already has focus,
and it selects one window on that frame by tracking mouse movements
above the frame.  (Yes, I know that the last sentence makes it sound
like the two features are related, but that is only true on some
systems.  E.g., here focus-follows-mouse is nil, the default, whereas
the window manager is configured to give focus to the frame where
mouse is; and yet mouse-autoselect-window does work.

So I think you should set mouse-autoselect-window to t, move the mouse
between windows, then show the output of "C-h l".  Then we might have
some hint wrt what's going on.

Thanks.